Loading...
Searching...
No Matches
Modules.hpp File Reference
`#include <SoapySDR/Config.hpp>`
`#include <SoapySDR/Types.hpp>`
`#include <vector>`
`#include <string>`

Go to the source code of this file.

## Classes

class | SoapySDR::ModuleManager

## Namespaces

namespace | SoapySDR

## Functions

SOAPY_SDR_API std::string | SoapySDR::getRootPath (void)
| Query the root installation path.
SOAPY_SDR_API std::vector< std::string > | SoapySDR::listSearchPaths (void)
SOAPY_SDR_API std::vector< std::string > | SoapySDR::listModules (void)
SOAPY_SDR_API std::vector< std::string > | SoapySDR::listModules (const std::string &path)
SOAPY_SDR_API std::string | SoapySDR::loadModule (const std::string &path)
SOAPY_SDR_API Kwargs | SoapySDR::getLoaderResult (const std::string &path)
SOAPY_SDR_API std::string | SoapySDR::getModuleVersion (const std::string &path)
SOAPY_SDR_API std::string | SoapySDR::unloadModule (const std::string &path)
SOAPY_SDR_API void | SoapySDR::loadModules (void)
SOAPY_SDR_API void | SoapySDR::unloadModules (void)

## Detailed Description

Utility functions to deal with modules. These utility functions are made available for advanced usage. For most use cases, the API will automatically load modules.

Copyright
  Copyright (c) 2014-2020 Josh Blum SPDX-License-Identifier: BSL-1.0